
package org.mule.modules.blogger.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/blogger</code>.
 * 
 */
public class BloggerConnectorNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new BloggerConnectorConfigDefinitionParser());
        registerBeanDefinitionParser("retrieve-posts", new RetrievePostsDefinitionParser());
        registerBeanDefinitionParser("filter-posts", new FilterPostsDefinitionParser());
        registerBeanDefinitionParser("create-post", new CreatePostDefinitionParser());
        registerBeanDefinitionParser("delete-post", new DeletePostDefinitionParser());
        registerBeanDefinitionParser("add-comment", new AddCommentDefinitionParser());
        registerBeanDefinitionParser("retrieve-comments", new RetrieveCommentsDefinitionParser());
        registerBeanDefinitionParser("delete-comment", new DeleteCommentDefinitionParser());
        registerBeanDefinitionParser("delete-comment-regex", new DeleteCommentRegexDefinitionParser());
    }

}
